|  | Home · All Classes · Modules

# QInputMethodEvent.Attribute Class Reference
[QtGui module]

The QInputMethodEvent.Attribute class stores an input method attribute. More...

### Methods

- __init__ (self, AttributeType t, int s, int l, QVariant val)
- __init__ (self, Attribute other)

### Members

- int length
- int start
- AttributeType type
- QVariant value

## Detailed Description

The QInputMethodEvent.Attribute class stores an input method attribute.

## Method Documentation

### Attribute.__init__ (self, AttributeType t, int s, int l, QVariant val)

### Attribute.__init__ (self, Attribute other)

## Member Documentation

### int length

### int start

### AttributeType type

### QVariant value